## org.apache.mahout.ga.watchmaker.cd.hadoop
Class CDReducer

    java.lang.Object
      org.apache.hadoop.mapreduce.Reducer<org.apache.hadoop.io.LongWritable,CDFitness,org.apache.hadoop.io.LongWritable,CDFitness>
          org.apache.mahout.ga.watchmaker.cd.hadoop.CDReducer

    public class CDReducer

extends org.apache.hadoop.mapreduce.Reducer<org.apache.hadoop.io.LongWritable,CDFitness,org.apache.hadoop.io.LongWritable,CDFitness>

Hadoop Reducer, combines many evaluations (CDFitness) into a single one.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.Reducer
`org.apache.hadoop.mapreduce.Reducer.Context`

Constructor Summary
`CDReducer()`

Method Summary
`protected void` `reduce(org.apache.hadoop.io.LongWritable key, Iterable<CDFitness> values, org.apache.hadoop.mapreduce.Reducer.Context context)`

Methods inherited from class org.apache.hadoop.mapreduce.Reducer
`cleanup, run, setup`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CDReducer

    public CDReducer()

Method Detail

### reduce

    protected void reduce(org.apache.hadoop.io.LongWritable key,
                          Iterable<CDFitness> values,
                          org.apache.hadoop.mapreduce.Reducer.Context context)
                   throws IOException,
                          InterruptedException

  Overrides:
    `reduce` in class `org.apache.hadoop.mapreduce.Reducer<org.apache.hadoop.io.LongWritable,CDFitness,org.apache.hadoop.io.LongWritable,CDFitness>`
  Throws:
    `IOException`
    `InterruptedException`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.